
/*---------------------- visit_sec ----------------------*/
.visit_sec {
    margin-top: 120px;
}
.map_box {
    width: 100%;
    height: 430px;
    border-radius: var(--radius);
    overflow: hidden;
    position: relative;
}
.map_box .map {
    width: 100%;
    height: 100%;
    background-color: var(--gray-100);
}
.map_btn {
    width: fit-content;
    display: flex;
    gap: 10px;
    position: absolute;
    bottom: 28px;
    left: 0;
    right: 0;
    margin: 0 auto;
}
.map_btn li {
    border-radius: var(--radius);
    background-color: var(--white);
    box-shadow: var(--shadow);
    transition: transform .4s ease;
}
.map_btn li:hover {
    transform: translateY(-5px);
}
.map_btn a {
    padding: 13px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
}
.map_btn img {
    width: 20px;
    height: 20px;
    flex-shrink: 0;
}
.map_btn p {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--gray-500);
}

.map_btm {
    margin-top: 40px;
    border-top: 1px solid var(--line);
    border-bottom: 1px solid var(--line);
}
.visit_info {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    border-left: 1px solid var(--line);
}
.visit_info > li {
    padding: 32px 40px;
    border-right: 1px solid var(--line);
}
.visit_title {
    margin-bottom: 24px;
    display: flex;
    align-items: center;
    gap: 8px;
}
.visit_title.space {
    justify-content: space-between;
}
.visit_title .title {
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
}
.visit_title img {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
}
.visit_title span {
    font-size: var(--ft14);
    font-weight: var(--medium);
    color: var(--gray-500);
}

.text,
.text * {
    font-size: var(--ft18);
    color: var(--gray-500);
}
.text strong {
    font-weight: var(--semi-bold);
}
.time_list {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.time_list li {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 10px;
}
.time_list * {
    font-size: var(--ft16);
    color: var(--gray-500);
}
.time_list p:first-child {
    font-weight: var(--semi-bold);
}
.visit_tel a {
    display: flex;
    align-items: center;
    gap: 10px;
}
.visit_tel img {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
}
.visit_tel p {
    font-size: var(--ft22);
    font-weight: var(--semi-bold);
    color: var(--primary);
}


/*---------------------- public_sec ----------------------*/
.public_sec {
    margin-top: var(--sec-gap);
}
.public_list {
    margin-top: 60px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}
.public_list li {
    width: 100%;
    padding: 40px;
    border-radius: var(--radius);
    background-color: var(--gray-100);
    display: flex;
    justify-content: space-between;
    gap: 40px;
}
.public_title {
    margin-bottom: 32px;
    display: flex;
    align-items: center;
    gap: 10px;
}
.public_title img {
    width: 40px;
    height: 40px;
    flex-shrink: 0;
}
.public_title h3 {
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
}
.public_img {
    width: 300px;
    border-radius: var(--radius);
    overflow: hidden;
}

.public_tag {
    width: fit-content;
    height: fit-content;
    padding: 3px 8px;
    border-radius: 30px;
    background-color: var(--bg);
    font-size: var(--ft12);
    font-weight: var(--semi-bold);
    color: var(--white);
}
.public_tag_list {
    margin-bottom: 14px;
    display: flex;
    gap: 10px;
}
.public_text {
    font-size: var(--ft16);
    color: var(--gray-500);
}

@media all and (max-width: 1600px) {
    /*-- visit_sec --*/
    .visit_info {
        grid-template-columns: repeat(2, 1fr);
    }
    .visit_info > li:nth-child(1),
    .visit_info > li:nth-child(2) {
        border-bottom: 1px solid var(--line);
    }
    .public_img {
        width: 200px;
    }
}

@media all and (max-width: 1400px) {
    /*-- visit_sec --*/
    .visit_title {
        margin-bottom: 18px;
    }
    .visit_title .title {
        font-size: var(--ft18);
    }
    .text, 
    .text * {
        font-size: var(--ft16);
    }

    /*-- public_sec --*/
    .public_title {
        margin-bottom: 28px;
    }
    .public_title img {
        width: 32px;
        height: 32px;
    }
    .public_title h3 {
        font-size: var(--ft18);
    }

}

@media all and (max-width: 1200px) {
    /*-- public_sec --*/
    .public_list li {
        padding: 28px;
    }
    .public_title {
        margin-bottom: 20px;
    }
}

@media all and (max-width: 1024px) {
    /*-- visit_sec --*/
    .visit_sec {
        margin-top: 80px;
    }
    .map_box {
        height: 300px;
    }
    .map_btn {
        bottom: 18px;
    }

    /*-- public_sec --*/
    .public_list {
        margin-top: 40px;
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }
}

@media all and (max-width: 768px) {
    /*-- visit_sec --*/
    .visit_sec {
        margin-top: 40px;
    }
    .map_box {
        height: auto;
        border-radius: 0;
    }
    .map_box .map {
        height: 200px;
        border-radius: var(--radius);
        overflow: hidden;
    }
    .map_btn {
        width: 100%;
        margin-top: 16px;
        position: static;
    }
    .map_btn li {
        width: 100%;
        box-shadow: none;
        border: 1px solid var(--line);
    }
    .map_btn a {
        padding: 8px 16px;
        justify-content: center;
    }
    .visit_info {
        grid-template-columns: repeat(1, 1fr);
    }
    .visit_info > li {
        padding: 20px;
    }
    .visit_info > li:nth-child(3) {
        border-bottom: 1px solid var(--line);
    }
    .visit_title {
        margin-bottom: 12px;
        gap: 4px;
    }
    .visit_title img {
        width: 18px;
        height: 18px;
    }
    .visit_tel img {
        width: 18px;
        height: 18px;
    }
    .visit_tel p {
        font-size: var(--ft18);
    }

    /*-- public_sec --*/
    .public_list {
        margin-top: 24px;
    }
    .public_list li {
        padding: 20px;
    }
    .public_title {
        margin-bottom: 12px;
    }
    .public_title img {
        width: 24px;
        height: 24px;
    }
    .public_title h3 {
        font-size: var(--ft16);
    }
    .public_tag_list {
        gap: 6px;
    }
}